Subject: Re: linux-next: sound tree build failure

From: Takashi Iwai <[email-masked]>
Date: Fri, 31 Oct 2008 07:39:44 +0100

At Fri, 31 Oct 2008 14:41:06 +1100,
Stephen Rothwell wrote:
> 
> Hi Takashi,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> sound/soc/soc-dapm.c: In function 'snd_soc_dapm_sys_add':
> sound/soc/soc-dapm.c:828: error: 'ret' undeclared (first use in this function)
> 
> Caused by commit 12ef193d5817504621e503e78d641265f6a86ac4 ("ASoC: Allow
> setting codec register with debugfs filesystem") which removed the
> declaration.
> 
> I applied the following patch.  More care required.

Thanks.  Applied now.
I wonder why I didn't this in my build test...

Takashi

> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 31 Oct 2008 14:39:03 +1100
> Subject: [PATCH] ALSA: restore removeed variable declaration
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  sound/soc/soc-dapm.c |    2 ++
>  1 files changed, 2 insertions(+), 0 deletions(-)
> 
> diff --git a/sound/soc/soc-dapm.c b/sound/soc/soc-dapm.c
> index 407092c..7bf3c40 100644
> --- a/sound/soc/soc-dapm.c
> +++ b/sound/soc/soc-dapm.c
> @@ -822,6 +822,8 @@ static DEVICE_ATTR(dapm_widget, 0444, dapm_widget_show, NULL);
>  
>  int snd_soc_dapm_sys_add(struct device *dev)
>  {
> +	int ret;
> +
>  	if (!dapm_status)
>  		return 0;
>  
> -- 
> 1.5.6.5
>